Subject: bug#65685: 29.1; Inconsistent behavior of quoted file name "/:~" across platforms

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Oct 2023 14:25:10 +0300

> From: Michael Albinus <[email-masked]>
> Cc: Jim Porter <[email-masked]>,  [email-masked]
> Date: Sat, 14 Oct 2023 12:56:07 +0200
> 
> I cannot reproduce the problem. My environment:
> 
> - MS Windows 10 VM
> - MSYS2 MinGW 64-bit
> - A fresh git checkout of the master branch, at commit
>   548bc3e3d18ea6776032ca83dafbc89e3ddb5a5a
> - Emacs recompiled, it reports "GNU Emacs 30.0.50 (build 13,
>   x86_64-w64-mingw32) of 2023-10-14"
> - Running "$ make -C test files-tests" yields

It's Windows XP here, but I doubt that's the problem.  The test fails
for me both on master and on the emacs-29 branch, but the latter is my
worry, since I intend to start the pretest of Emacs 29.2 very soon.

> --8<---------------cut here---------------start------------->8---
> Ran 113 tests, 111 results as expected, 0 unexpected, 2 skipped (2023-10-14 12:49:06+0200, 7.219525 sec)
> 
> 2 skipped results:
>   SKIPPED  files-tests-file-name-non-special--subprocess
>   SKIPPED  files-tests-file-name-non-special-dired-compress-handler
> --8<---------------cut here---------------end--------------->8---
> 
> What is the difference to your setup?

I do

   $ cd test
   $ make lisp/files-tests

and get this:

  Ran 112 tests, 109 results as expected, 1 unexpected, 2 skipped (2023-10-14 14:18:07+0300, 9.375000 sec)

  1 unexpected results:
     FAILED  files-tests-file-name-non-special-expand-file-name-tilde

  2 skipped results:
    SKIPPED  files-tests-file-name-non-special--subprocess
    SKIPPED  files-tests-file-name-non-special-dired-compress-handler

The only difference I could think of is that the directory Emacs uses
here has whitespace in its name (see my original report), whereas on
Windows 10 it probably doesn't.